build-generator ignoring version variable "repository"

2017-11-24 10:07 - Leroy Rügemer

Status: Closed Start date: 2017-11-24

Priority: High Due date:  

Assignee: Jan Moringen % Done: 100%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Different repository for version.

We often fork repositories to apply special fixes and build a different version until upstream merges, this fails if the default repository

misses the specified branch.

example rosjava_bootstrap:

    "versions": [

        {

            "name": "clf",

            "variables": {

                "repository": "https://github.com/CentralLabFacilities/rosjava_bootstrap.git",

                "branch": "clf"

            }

        }

    ],

    "variables": {

        "description": "bootstrap rosjava",

        "repository": "https://github.com/rosjava/rosjava_bootstrap.git",

        "branches": [

            "kinetic"

        ],

 

as the fix branch is not in upstream

History

#1 - 2017-12-01 17:15 - Jan Moringen

- Status changed from New to In Progress

- % Done changed from 0 to 70

Almost done.

#2 - 2017-12-01 21:42 - Jan Moringen

- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

Should now work in the build-generator master version.

#3 - 2017-12-01 21:42 - Jan Moringen

- Category set to build-generator

- Assignee set to Jan Moringen
#4 - 2018-01-19 13:18 - Leroy Rügemer

- Status changed from Resolved to Closed
